from torch import nn
import torch.nn.functional as F
import torch


def sigmoid_activation(ts):
    p1 = torch.sigmoid(ts)
    p0 = 1-p1
    return torch.stack((p0,p1),dim=-1)

class Linear(nn.Module):
    def __init__(self,dim):
        super(Linear,self).__init__()
        self.fc = nn.Linear(dim,1)
    def forward(self,x):
        return self.fc(x)
